Name:          glassfish-fastinfoset
Version:       1.2.15
Release:       1
Summary:       Fast Infoset
License:       ASL 2.0
URL:           https://fi.java.net
Source0:       https://github.com/javaee/metro-fi/archive/refs/tags/1.2.15-RELEASE.tar.gz
Patch0:     glassfish-fastinfoset-1.2.12-utilities-FastInfosetWriterSAXBufferProcessor.patch
BuildRequires: maven-local mvn(com.sun.xml.stream.buffer:streambuffer) mvn(com.sun.xsom:xsom)
BuildRequires: mvn(junit:junit) mvn(net.java:jvnet-parent:pom:) mvn(org.apache.felix:maven-bundle-plugin)
BuildArch:     noarch

%description
An XML infoset may be serialized to an XML 1.x document as specified by
the Fast Infoset standard, may be serialized to a fast infoset document.
Fast infoset documents are usually smaller in size and faster to parse
and serialize than equivalent XML documents.

%package       help
Summary:       Javadoc for glassfish-fastinfoset
Provides:      glassfish-fastinfoset-javadoc = %{version}-%{release}
Obsoletes:     glassfish-fastinfoset-javadoc < %{version}-%{release}
%description   help
This package provides help for glassfish-fastinfoset.

%prep
%setup -n metro-fi-%{version}-RELEASE

rm -rf CONTRIBUTING.md
rm -rf FIME
rm -rf Japex
rm -rf JapexXMLDriverLibrary
rm -rf tools
rm -rf xml-data.zip.REMOVED.git-id
mv code/* ./
rm -rf code

%patch0 -p1
%pom_xpath_remove "pom:build/pom:extensions"
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :maven-antrun-extended-plugin
%pom_remove_plugin org.codehaus.mojo:buildnumber-maven-plugin
%pom_disable_module roundtrip-tests
%pom_disable_module samples
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" "
 <execution>
  <id>default-jar</id>
  <phase>skip</phase>
 </execution>" fastinfoset

%mvn_file :FastInfoset glassfish-fastinfoset
%mvn_file :FastInfosetUtilities glassfish-fastinfoset-utilities
rm -rf fastinfoset/src/main/java/module-info.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc copyright.txt LICENSE README.md

%files help -f .mfiles-javadoc
%doc copyright.txt LICENSE README.md

%changelog
* Tue Jul 11 2023 Ge Wang <wang__ge@126.com> - 1.2.15-1
- Update to version 1.2.15

* Sat Jun 20 2020 wangchong <wangchong56@huawei.com> - 1.2.13-11
- Package init
